<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__resource__static__data__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_resource_static_data_t</compoundname>
    <includes local="no">cy_http_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__resource__static__data__t_1a898a2959797f5d333f70915e27c8f8bf" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* cy_resource_static_data_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>A pointer to the data for the page/file resource. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="304" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="304" />
      </memberdef>
      <memberdef id="structcy__resource__static__data__t_1a288d94a277b56b226480d6d18e7787ce" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_resource_static_data_t::length</definition>
        <argsstring />
        <name>length</name>
        <briefdescription>
<para>The length in bytes of the page/file. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="305" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Static HTTP resource info. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="306" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="302" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="303" />
    <listofallmembers>
      <member prot="public" refid="structcy__resource__static__data__t_1a898a2959797f5d333f70915e27c8f8bf" virt="non-virtual"><scope>cy_resource_static_data_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__resource__static__data__t_1a288d94a277b56b226480d6d18e7787ce" virt="non-virtual"><scope>cy_resource_static_data_t</scope><name>length</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>